package net.sf.javaprinciples.resource.servlet;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.sf.javaprinciples.resource.ResourceException;

/**
 * Default handler to support unimplemented methods.
 *
 * @author Luka Kruscic
 */
public class NullHandler<T> implements RequestHandler<T>
{
    @Override
    public void handleRequest(ResourceModel<T> model, HttpServletRequest request) throws ResourceException
    {
        model.setStatusCode(HttpServletResponse.SC_NOT_IMPLEMENTED);
    }
}