package net.sf.javaprinciples.resource.servlet;

import javax.servlet.http.HttpServletRequest;

import net.sf.javaprinciples.resource.Resource;
import net.sf.javaprinciples.resource.ResourceException;
import net.sf.javaprinciples.resource.ResourceIdentifier;

public class PutHandler<T> extends AbstractHandler<T>
{
    @Override
    public void handleRequest(ResourceModel<T> model, HttpServletRequest request) throws ResourceException
    {
        ResourceIdentifier identifier = identifierParser.parse(request);
        Resource<T> resource = getResourceFromRequest(request);
        resourceFactory.putResource(identifier, resource);
        model.setStatusCode(statusCode);
    }
}